# Serialized Form

Package cascading

Class cascading.CascadingException extends RuntimeException implements Serializable

Class cascading.CascadingTestCase extends junit.framework.TestCase implements Serializable

Class cascading.CoGroupFieldedPipesPlatformTest extends PlatformTestCase implements Serializable

Class cascading.ComparePlatformsTest extends CascadingTestCase implements Serializable

Class cascading.FieldedPipesPlatformTest extends PlatformTestCase implements Serializable

Class cascading.FieldedPipesPlatformTest.LowerComparator extends Object implements Serializable

Class cascading.InnerJoinTestBuffer extends BaseOperation implements Serializable

Class cascading.JoinFieldedPipesPlatformTest extends PlatformTestCase implements Serializable

Class cascading.JoinFieldedPipesPlatformTest.AllComparator extends Object implements Serializable

Class cascading.PlatformTestCase extends CascadingTestCase implements Serializable

Serialized Fields

### rootPath

    String rootPath

### currentPaths

    Set<E> currentPaths

Class cascading.TestAggregator extends BaseOperation implements Serializable

serialVersionUID: 1L

Serialized Fields

### value

    Tuple[] value

### duplicates

    int duplicates

### groupFields

    Fields groupFields

Class cascading.TestBuffer extends BaseOperation<TupleEntryCollector> implements Serializable

Serialized Fields

### path

    Tap<Config,Input,Output> path

### expectedSize

    int expectedSize

### insertHeader

    boolean insertHeader

### insertFooter

    boolean insertFooter

### value

    Comparable<T> value

### flushCalled

    boolean flushCalled

Class cascading.TestFailAggregator extends BaseOperation implements Serializable

serialVersionUID: 1L

Serialized Fields

### fail

    int fail

Class cascading.TestFunction extends BaseOperation<Integer> implements Serializable

Serialized Fields

### failon

    int failon

### value

    Tuple value

### isSafe

    boolean isSafe

Class cascading.TestIdentityBuffer extends BaseOperation<Integer> implements Serializable

Serialized Fields

### groupFields

    Fields groupFields

### numGroups

    Integer numGroups

### nullsAreOK

    boolean nullsAreOK

Class cascading.TraceTest extends CascadingTestCase implements Serializable

Class cascading.TraceTest.TestSubAssembly extends SubAssembly implements Serializable

Serialized Fields

### pipe

    Pipe pipe

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.